/*
 * Copyright 2012 Smallcrew, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package fr.smallcrew.rest.servlet;

import com.google.common.base.Splitter;
import fr.smallcrew.rest.exception.ResourceNotFoundException;
import org.springframework.web.HttpRequestHandler;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

public class FailSafeController implements HttpRequestHandler {
  public static final Splitter uriSplitter = Splitter.on(".");

  @Override
  public void handleRequest(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    throw new ResourceNotFoundException("Invalid resource '" + uriWithoutExtension(request.getRequestURI()) + "'");
  }

  private String uriWithoutExtension(String uri) {
    return uriSplitter.split(uri).iterator().next();
  }
}
